% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/migraph-defunct.R
\name{defunct}
\alias{defunct}
\alias{add_edge_attribute}
\alias{edge_attribute}
\alias{edge_signs}
\alias{edge_weights}
\alias{edge_betweenness}
\alias{edge_closeness}
\alias{edge_degree}
\alias{edge_eigenvector}
\alias{edge_loop}
\alias{edge_multiple}
\alias{edge_bridges}
\alias{edge_reciprocal}
\alias{graph_edge_attributes}
\alias{graph_edges}
\alias{node_cuts}
\alias{to_edges}
\alias{join_edges}
\alias{to_main_component}
\alias{graph_blau_index}
\alias{graph_ei_index}
\title{Functions that have been renamed, superseded, or are no longer working}
\usage{
add_edge_attribute(object, attr_name, vector)

edge_attribute(object, attribute)

edge_signs(object)

edge_weights(object)

edge_betweenness(object, normalized = TRUE)

edge_closeness(object, normalized = TRUE)

edge_degree(object, normalized = TRUE)

edge_eigenvector(object, normalized = TRUE)

edge_loop(object)

edge_multiple(object)

edge_bridges(object)

edge_reciprocal(object)

graph_edge_attributes(object)

graph_edges(object)

node_cuts(object)

to_edges(object)

join_edges(object, object2, attr_name)

to_main_component(object)

graph_blau_index(object, attribute, clusters = NULL)

graph_ei_index(object, attribute)
}
\description{
\ifelse{html}{\href{https://lifecycle.r-lib.org/articles/stages.html#deprecated}{\figure{lifecycle-deprecated.svg}{options: alt='[Deprecated]'}}}{\strong{[Deprecated]}}
Generally these functions have been superseded or renamed.
Upon using them, a message is provided directing the user to the new function.
However, at this stage of package development,
we generally clear older defunct functions at each minor release,
and so you are strongly encouraged to use the new functions/names/syntax
wherever possible and update your scripts accordingly.
}
\section{Functions}{
\itemize{
\item \code{add_edge_attribute()}: Deprecated on 2022-06-28.

\item \code{edge_attribute()}: Deprecated on 2022-06-28.

\item \code{edge_signs()}: Deprecated on 2022-06-28.

\item \code{edge_weights()}: Deprecated on 2022-06-28.

\item \code{edge_betweenness()}: Deprecated on 2022-06-28.

\item \code{edge_closeness()}: Deprecated on 2022-06-28.

\item \code{edge_degree()}: Deprecated on 2022-06-28.

\item \code{edge_eigenvector()}: Deprecated on 2022-06-28.

\item \code{edge_loop()}: Deprecated on 2022-06-28.

\item \code{edge_multiple()}: Deprecated on 2022-06-28.

\item \code{edge_bridges()}: Deprecated on 2022-06-28.

\item \code{edge_reciprocal()}: Deprecated on 2022-06-28.

\item \code{graph_edge_attributes()}: Deprecated on 2022-06-28.

\item \code{graph_edges()}: Deprecated on 2022-06-28.

\item \code{node_cuts()}: Deprecated on 2022-06-30.

\item \code{to_edges()}: Deprecated on 2022-06-28.

\item \code{join_edges()}: Deprecated on 2022-07-03.

\item \code{to_main_component()}: Deprecated on 2022-09-07.

\item \code{graph_blau_index()}: Deprecated on 2022-09-10.

\item \code{graph_ei_index()}: Deprecated on 2022-09-10.

}}
\keyword{internal}
